#Just a small function to make it easier to convert time i a "XX:XX" format into just seconds.
def parse(timeString):
    timeString = str(timeString)  #Turn timeString into a string, if it isn't already
    if timeString.find(':') != -1:  #If there is a ":" (colon) in the string we are given...
        timeList = timeString.partition(':') #Basically creates a list in which the first entry is the minutes, the second is the colon, and the third is the seconds
        minutes = int(timeList[0])  #We're assuming that minutes are going to be an integer
        seconds = float(timeList[2])  #We'll allow a floating point number for seconds (ex. 2:25.5)
        totSeconds = minutes * 60 + seconds  #It's basic math :P
        return float(totSeconds)  #Turns the string into a floating point answer
    else:  #If there is no colon, we'll just assume that the input is in seconds
        return float(timeString)  #Returns the timString as a floating point number
